Subject: proposed text for last call issues04 (transport)

From: Mike Eisler <[email-masked]>
Date: Thu, 29 Aug 2002 11:00:42 -0700

A suggestion has been made that the statement in section
3.1 about the use of TCP or transport with congestion
control needs to be updated. The text in question is:

   The transport used by the RPC service for the NFS
   version 4 protocol MUST provide congestion control
   comparable to that defined for TCP in [RFC2581].
   If the operating environment implements TCP, the NFS
   version 4 protocol SHOULD be supported over TCP.

A suggestion by our AD has been made to incorporate
something like the following.

    "TCP, SCTP or other IETF-approved congestion control
    transport protocol"

[ With apologies to Marshall Rose, soap box starts ...

BTW, at the last bakeoff, there was one server
implementation that had a bug preventing operation over
UDP, and as a result, worked only over TCP for the duration
of the bakeoff. By the time I left Ann Arbor on Thursday,
only one client had tested against it, because only one
had TCP working.

I don't know why we aren't allowed to simply say, TCP MUST
be supported. I believe that until we do, and until we
explicitly ban UDP we'll be stuck with interoperability
problems.

Do people really want to spend the resources to test and
support both TCP and UDP?

... soap box ends ]

--------------

CHANGE:

   The transport used by the RPC service for the NFS version 4 protocol
   MUST provide congestion control comparable to that defined for TCP in
   [RFC2581].  If the operating environment implements TCP, the NFS
   version 4 protocol SHOULD be supported over TCP.  The NFS client and
   server MAY use other transports if they support congestion control as
   defined above and in those cases a mechanism may be provided to
   override TCP usage in favor of another transport.

TO:

   Where an NFS version 4 implementation supports operation
   over the IP network protocol, the supported transports
   between NFS and IP must be among the IETF-approved
   congestion control transport protocols, which
   include TCP and SCTP.  To enhance the possibilities for
   interoperability, an NFS version 4 implementation SHOULD
   support operation over the TCP transport protocol.

DELETE:

   [RFC2581]
   Allman, M., Paxson, V., Stevens, W., "TCP Congestion Control",
   RFC2581, April 1999.

   http://www.ietf.org/rfc/rfc2581.txt